Uploaded image for project: 'Red Hat CodeReady Studio (devstudio)'
  1. Red Hat CodeReady Studio (devstudio)
  2. JBDS-3068

Installer fails to recognize java versions without underscores

    XMLWordPrintable

Details

    Description

      This was spotted by Fred: When he tried to install JBDS and selected Oracle JDK 1.8.0, he got: "JBoss Developer Studio does not work with selected version of java."

      It was on Windows and I managed to reproduced it there, but it is probably not limited to Windows. It works fine with Oracle JDK 1.8.0_05. So the key here is that this is the original 1.8.0 release.

      Fred suspects that this commit broke this:
      https://github.com/jbdevstudio/jbdevstudio-product/commit/080b102d893b801b0624efffeb2827e722217d23#diff-275554ea42daa93a4da90ff630802936R397

      Attachments

        Issue Links

          Activity

            People

              nivologd@gmail.com Denis Golovin (Inactive)
              exd-mmalina Martin Malina
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: